Results 1 to 8 of 8

Thread: pysvn bug - incorrect libsvn1 for current python-svn package

  1. #1
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Thumbs down pysvn bug - incorrect libsvn1 for current python-svn package

    Guys,

    In the latest versions of w3af we've added a new dependency, "python-svn". We've tested this in Ubuntu 8 and 10 and it works, but in BT we get the following:

    Code:
    >>> import pysvn
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
      File "/usr/lib/python2.5/site-packages/pysvn/__init__.py", line 116, in <module>
        raise ImportError, 'pysvn was built against newer (svn, apr, etc.) libraries then the ones installed on this system. %s' % str(e)
    ImportError: pysvn was built against newer (svn, apr, etc.) libraries then the ones installed on this system. /usr/lib/libsvn_subr-1.so.1: undefined symbol: apr_memcache_add_server
    This message appears after running "sudo apt-get install python-svn" and trying to use the recently installed library. My understanding is that the "libsvn1" package that's bundled with BT is incompatible with python-svn.

    I'm trying to find an easy solution for w3af users to use while we identify the definitive solution; but I don't really have much time. I'll let you know what I can find.

    Regards,

    Andrés Riancho
    w3af Project leader

  2. #2
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: pysvn bug - incorrect libsvn1 for current python-svn package

    EDIT: Issue has been resolved.
    Last edited by Archangel-Amael; 02-02-2011 at 02:21 AM.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  3. #3
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Default Re: pysvn bug - incorrect libsvn1 for current python-svn package

    How can I test the fix? I just run:

    Code:
    apt-get update
    apt-get dist-upgrade
    apt-get remove python-svn
    apt-get install python-svn
    ./w3af_console
    And I still get the same error.

  4. #4
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Default Re: pysvn bug - incorrect libsvn1 for current python-svn package

    Hi,

    I am getting the following w3af error:
    "It looks like your pysvn installation is broken [...]"

    Here are the steps I took after you posted about the fix:

    $apt-get update && apt-get upgrade
    $apt-get -f install
    $apt-get install subversion
    $cd /root/w3af
    $svn update

    Thank you,
    Ryan

  5. #5
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: pysvn bug - incorrect libsvn1 for current python-svn package

    We will be flushing the repositories today. Then you can grab the latest, packages.
    Thanks.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  6. #6
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Default Re: pysvn bug - incorrect libsvn1 for current python-svn package

    I've tried again but I still get the same error. What steps should we follow to get the latest packages?

  7. #7
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Default

    Still not working here. Any updates?

    Thanks.

    The problem was that I did not have the devel repos enabled.

    Works now!

    vim /etc/apt/sources.list

    un-comment deb http://archive.offensive-security.com/repotest/ ./ # BackTrack Devel Repository

    apt-get update && apt-get dist-upgrade

    Thanks to @sickness416 on twitter for helping debug.
    Last edited by Archangel-Amael; 02-06-2011 at 12:14 PM.

  8. #8
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: pysvn bug - incorrect libsvn1 for current python-svn package

    Yes the package is available in the dev repo, so if there are any last minute issues we can fix them.
    Uncommenting the dev repo and installing packages from their is not always the best idea.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

Similar Threads

  1. Can I turn my current distro into BT4 Final?
    By kmitnick in forum Beginners Forum
    Replies: 1
    Last Post: 02-14-2010, 08:49 PM
  2. Merging With My Current Linux Distro?
    By Ch0wned in forum OLD Newbie Area
    Replies: 3
    Last Post: 03-24-2009, 10:10 PM
  3. ONLY End current session in Kmenu
    By beach0 in forum OLD Newbie Area
    Replies: 2
    Last Post: 06-21-2008, 04:54 PM
  4. Current estimate, BT3 final release in very near future?
    By sergeikolomov in forum OLD BT3beta General
    Replies: 6
    Last Post: 02-07-2008, 12:38 PM
  5. current live cd?
    By bofh1234 in forum OLD LiveCD Support
    Replies: 4
    Last Post: 11-14-2007, 04:03 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •